****************************************************************************
**
**  Filename:
**            declvars.h
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Declaration of objects used by the \keyword{XSummer}\ package.
**
**  Comments:
**
**
**  Revision: 
**            $Id: declvars.h,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: declvars.h,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*

#define MAXCOUNTER "99"

s z0,...,z`MAXCOUNTER';
s j,j0,...,j`MAXCOUNTER';
autodeclare cf S,Z,R,X,num,den,fac,invfac,pow,bino;
autodeclare cf sum,delta,sign,deltap,theta;
cf Gamma,InvGamma,G,InvG;
cf epow;
s inf;
#ifndef `EXPANDEP'
s ep;
#else
s ep(:{`EXPANDEP'+1});
#endif
cf order;


***
*** Variables used internally:
***

*
* Pochhammer symbol:
*
cf poch;

*
* Specific Numerators/Denominators appearing in the epsilon expansion
* of Gamma functions (see ExpandGam.prc):
*
cf GamNum,GamDen; 
cf GamNumpq,GamDenpq;

cf Gpq,InvGpq;
cf Gammaa,InvGammaa,Gammab,InvGammab;

*
* Finite polynomial sums:
*
autodeclare cf powsum,xpowsum;

s FLAG;
s jj,jjj,N,Nx;
s a,b,c,k;

s  l1,l2;
autodeclare s x,y;
autodeclare s m;
autodeclare s n;

S a1,a2,a3;
*csm added Wed Feb 28 22:45:43 CET 2007

autodeclare cf f;

cf RR, RRR;
cf XX, XXX;

cf su,zriemann;

s i,i0,...,i`MAXCOUNTER';

cf acc,acc1;

*
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
